summaryrefslogtreecommitdiffstats
path: root/src/test/test_pools.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:20 +0000
commit483eb2f56657e8e7f419ab1a4fab8dce9ade8609 (patch)
treee5d88d25d870d5dedacb6bbdbe2a966086a0a5cf /src/test/test_pools.sh
parentInitial commit. (diff)
downloadceph-upstream.tar.xz
ceph-upstream.zip
Adding upstream version 14.2.21.upstream/14.2.21upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xsrc/test/test_pools.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/src/test/test_pools.sh b/src/test/test_pools.sh
new file mode 100755
index 00000000..fc376477
--- /dev/null
+++ b/src/test/test_pools.sh
@@ -0,0 +1,50 @@
+#!/usr/bin/env bash
+set -x
+
+#
+# Test pools
+#
+
+# Includes
+source "`dirname $0`/test_common.sh"
+
+# Functions
+setup() {
+ export CEPH_NUM_OSD=$1
+
+ # Start ceph
+ ./stop.sh
+
+ ./vstart.sh -d -n || die "vstart failed"
+}
+
+test629_impl() {
+ # create the pool
+ ./ceph -c ./ceph.conf osd pool create foo 8 || die "pool create failed"
+
+ # Write lots and lots of objects
+ write_objects 1 1 10 1000000 foo
+
+ # Take down first osd
+ stop_osd 0
+
+ # Now degraded PGs should exist
+ poll_cmd "./ceph pg debug degraded_pgs_exist" TRUE 3 120
+
+ # delete the pool
+ ./ceph -c ./ceph.conf osd pool rm foo foo --yes-i-really-really-mean-it || die "pool rm failed"
+
+ # make sure the system is stable
+ sleep 10
+}
+
+test629(){
+ setup 3
+ test629_impl
+}
+
+run() {
+ test629 || die "test failed"
+}
+
+$@